"""For help on EMAN, look up libpyEM instead of EMAN"""
from libpyEM import *
import os, os.path
import tempfile

EMData.MRC = Image.mrc
EMData.SPIDER = Image.spider
EMData.IMAGIC = Image.img
EMData.PGM = Image.pgm
EMData.LST = Image.lst
EMData.PIF = Image.pif
EMData.DM3 = Image.dm3
EMData.TIFF = Image.tif
EMData.VTK = Image.vtk
EMData.SAL = Image.sal
EMData.ICOS = Image.map
EMData.IMAGIC3D = Image.img3d
EMData.EMIM = Image.emim
EMData.SINGLE_SPIDER = Image.single_spider
EMData.GATAN = Image.dm2
EMData.AMIRA = Image.amira
EMData.XPLOR = Image.xplor
EMData.ANY = Image.any

Euler.EMAN = EulerType.eman
Euler.IMAGIC = EulerType.imagic
Euler.SPIN = EulerType.spin
Euler.QUAT = EulerType.quat
Euler.MATRIX = EulerType.matrix
Euler.SGIROT = EulerType.sgirot
Euler.SPIDER = EulerType.spider
Euler.MRC = EulerType.mrc


def display(lst) :
	"""This is used to display a list of EMData objects"""
	fspbase = os.path.basename(tempfile.mktemp())
	fspimg = fspbase + ".img"
	fsphed = fspbase + ".hed"
	
	for i in lst:
		i.writeImage(fspimg, -1, Image.img)

	os.system("v2 " + fspimg)
	os.unlink(fspimg)
	os.unlink(fsphed)
